Forums

Unfortunately no one can be told what FluxBB is - you have to see it for yourself.

You are not logged in.

#1 2018-07-02 09:58:51

Utchin
Member
Registered: 2008-05-09
Posts: 208

Working Parser for 1.4.8

Hi,

Since the PHP preg replace function has been depreciated, my parser.php file has been giving me countless issues trying to submit any post to the forum. Fluxbb 1.4.8

Does anyone know the best way to fix the issue?

Offline

#2 2018-07-02 10:25:16

Franz
Lead developer
From: Germany
Registered: 2008-05-13
Posts: 6,545
Website

Re: Working Parser for 1.4.8

Follow this ticket, please. There is a patch you could apply linked there.


fluxbb.de | develoPHP

"As code is more often read than written it's really important to write clean code."

Offline

#3 2018-07-04 08:57:51

Kiana
New member
Registered: 2018-07-04
Posts: 2

Re: Working Parser for 1.4.8

Hello there,

I tried to fix the error with the instruction of the ticket, but then a new error will be triggered.

parser_error.png



This is my modified parser.php
pastebin.com/56Tne2FF


And the original
pastebin.com/CCL4ngKe

Offline

#4 2018-07-04 19:44:07

Franz
Lead developer
From: Germany
Registered: 2008-05-13
Posts: 6,545
Website

Re: Working Parser for 1.4.8

@Kiana: That's not an error in FluxBB's core. Are you using FluxBB by Visman?


fluxbb.de | develoPHP

"As code is more often read than written it's really important to write clean code."

Offline

#5 2018-07-05 17:50:49

Kiana
New member
Registered: 2018-07-04
Posts: 2

Re: Working Parser for 1.4.8

Maybe I should have taken a closer look at the system requirements before installing a software. xD I'm using PHP 7+, not 5. That's why I probably had problems. Now I'm using the version from Visman, now everything works fine. Thank you for the link. ^^

Offline

Board footer

Powered by FluxBB